Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003617 [JEDI VCL] 00 JVCL Components crash always 2006-03-31 04:54 2006-04-16 15:36
Reporter marcgeldon View Status public  
Assigned To remkobonte
Priority normal Resolution fixed  
Status resolved   Product Version 3.10
Summary 0003617: TJvCreateProcess - exceptions in OnTerminate
Description Dear JEDI Team!

If a exception is raised in the "OnTerminate" Event on the TJvCreateProcess, then it is not really caught correctly. The whole application crashes.

I did a work-around and insert a "try...except" in my event. But that is not the final solution, it's just a work-around.

Something is wrong there with the exception handling.


Best wishes,

Marc Geldon
Additional Information Have a look at the attached demo application (Delphi 7). Click on the button and Notepad will start, after you close Notepad, the OnTerminate event will raise an exception.

Try this application for yourself: in the debugger and the standalone application.

Maybe you have to change the path to Notepad on "JvCreateProcess1.ApplicationName"
Tags No tags attached.
Attached Files zip file icon BugDemo.zip [^] (3,475 bytes) 2006-03-31 04:54

- Relationships

-  Notes
(0009124)
remkobonte (developer)
2006-04-16 15:36

This is resolved in Rev. 1.31 of JvCreateProcess.pas.

- Issue History
Date Modified Username Field Change
2006-03-31 04:54 marcgeldon New Issue
2006-03-31 04:54 marcgeldon File Added: BugDemo.zip
2006-04-01 05:58 remkobonte Status new => assigned
2006-04-01 05:58 remkobonte Assigned To => remkobonte
2006-04-16 15:36 remkobonte Status assigned => resolved
2006-04-16 15:36 remkobonte Fixed in Version => 3.20
2006-04-16 15:36 remkobonte Resolution open => fixed
2006-04-16 15:36 remkobonte Note Added: 0009124


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker